Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 751823

Summary: net-irc/unrealircd USE=class-nofakelag has no effect due to upstream change
Product: Gentoo Linux Reporter: Hank Leininger <hlein>
Component: Current packagesAssignee: Michael Palimaka (kensington) <kensington>
Status: RESOLVED FIXED    
Severity: normal CC: sam
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Hank Leininger 2020-10-30 01:50:12 UTC
All versions of unrealircd ebuilds in the tree do this in src_prepare() for USE=class-nofakelag:

    sed -i -e 's:#undef\( FAKELAG_CONFIGURABLE\):#define\1:' include/config.h || die

The problem is, upstream changed include/config.h to look like:

//#undef FAKELAG_CONFIGURABLE

As a result, after the sed it has:

//#define FAKELAG_CONFIGURABLE

...And since the // are still there, the #define is ignored.

The first time I remember encountering this was unrealircd-4.2.4.1; it is still a problem in the current -5.0.[67].

This one-liner .ebuild patch fixes USE=class-nofakelag in 4.2.4.1; similar should work in 5.0.x:

+++ unrealircd-4.2.4.1.ebuild   2020-09-14 17:45:30.296752989 -0600
@@ -50,7 +50,7 @@
        rm -r extras || die
 
        if use class-nofakelag; then
-               sed -i -e 's:#undef\( FAKELAG_CONFIGURABLE\):#define\1:' include/config.h || die
+               sed -i -e 's:^//#undef\( FAKELAG_CONFIGURABLE\):#define\1:' include/config.h || die
        fi
Comment 1 Larry the Git Cow gentoo-dev 2020-10-30 03:53:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24baa2dc7036c1ac3156479fd0cac5638e406885

commit 24baa2dc7036c1ac3156479fd0cac5638e406885
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2020-10-30 03:52:31 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2020-10-30 03:52:31 +0000

    net-irc/unrealircd: fix USE="class-nofakelag"
    
    Closes: https://bugs.gentoo.org/751823
    Package-Manager: Portage-3.0.8, Repoman-3.0.2
    Signed-off-by: Michael Palimaka <kensington@gentoo.org>

 net-irc/unrealircd/unrealircd-5.0.7-r1.ebuild | 173 ++++++++++++++++++++++++++
 1 file changed, 173 insertions(+)
Comment 2 Michael Palimaka (kensington) gentoo-dev 2020-10-30 03:53:47 UTC
Thanks for the report!
Comment 3 Hank Leininger 2020-10-31 00:21:52 UTC
Awesome turnaround, thanks!